package com.inspect.metadata.montdata.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

public interface IBasedataMontQueryService {
    JSONObject getMontEvnData(String key);

    JSONObject getMontPatrolDeviceAlmAbnData(String key);

    JSONObject getMontPatrolDeviceRunData(String key);

    JSONObject getMontPatrolDeviceStaData(String key);

    JSONObject getMontNestRunData(String key);

    JSONObject getMontNestStaData(String key);

    JSONObject getMontPatDevCoord(String key);

    JSONObject getMontPatDevPatRoute(String key);

    JSONObject getMontNvrByKey(String key);

    JSONArray getAllNvrDeviceOlineStatusDataByCache();
}
